From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 13 April 2004<P>

misti-<BR>
<BR>
that is a distinct song for me. <BR>
<BR>
especially this line "Wiping out the traces of the people and the places that I’ve been"<BR>
<BR>
I had an old lover introduce me to it, and it always conjures his face when I hear/read those lines. <BR>
<BR>
beautiful. <BR>

<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 13 April 2004<P>

darwin...<BR>
couldn't help but wonder...was that an "old lover" being actually old, like I am 46 and grew up listenting to Kris, or past lover? <BR>
<BR>
Kirk,<BR>
had you in my thoughts and prayers--knowing that you had your court date...how did you make out...are you okay/or in a funk...manic?  what? <BR>
CS58
<HR>